xStreamBufferIsFull

stream_buffer.h

    BaseType_t xStreamBufferIsFull( StreamBufferHandle_t xStreamBuffer );

Queries a stream buffer to see if it is full. A stream buffer is full if it does not have any free space, and therefore cannot accept any more data.

Parameters

  xStreamBuffer | The handle of the stream buffer being queried.

Returns
  If the stream buffer is full then pdTRUE is returned. Otherwise pdFALSE is returned.